Skip to navigation

Create Instrument Access Token

Beta
Creates a token.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Created token.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

401
Unauthorized Error